aboutsummaryrefslogtreecommitdiffstats
path: root/validation-scripts/all-nodes.sh
diff options
context:
space:
mode:
Diffstat (limited to 'validation-scripts/all-nodes.sh')
-rw-r--r--validation-scripts/all-nodes.sh22
1 files changed, 20 insertions, 2 deletions
diff --git a/validation-scripts/all-nodes.sh b/validation-scripts/all-nodes.sh
index 38a5a55e..8057f201 100644
--- a/validation-scripts/all-nodes.sh
+++ b/validation-scripts/all-nodes.sh
@@ -2,7 +2,7 @@
# For each unique remote IP (specified via Heat) we check to
# see if one of the locally configured networks matches and if so we
-# attempt a ping test on that networks remote IP.
+# attempt a ping test the remote network IP.
function ping_controller_ips() {
local REMOTE_IPS=$1
@@ -15,7 +15,7 @@ function ping_controller_ips() {
if [ $REMOTE_NETWORK/$LOCAL_CIDR == $LOCAL_NETWORK ]; then
echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..."
- if ! ping -c 1 $REMOTE_IP &> /dev/null; then
+ if ! ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
@@ -26,4 +26,22 @@ function ping_controller_ips() {
done
}
+# Ping all default gateways. There should only be one
+# if using upstream t-h-t network templates but we test
+# all of them should some manual network config have
+# multiple gateways.
+function ping_default_gateways() {
+ DEFAULT_GW=$(ip r | grep ^default | cut -d " " -f 3)
+ for GW in $DEFAULT_GW; do
+ echo -n "Trying to ping default gateway ${GW}..."
+ if ! ping -c 1 $GW &> /dev/null; then
+ echo "FAILURE"
+ echo "$GW is not pingable."
+ exit 1
+ fi
+ done
+ echo "SUCCESS"
+}
+
ping_controller_ips "$ping_test_ips"
+ping_default_gateways